#ifndef V3_H
#define V3_H
#include "TObject.h"


class V3 : public TObject {
  friend V3 operator*( double,V3);
  friend V3 operator*( V3 ,double);  
 public:
  V3();
  virtual ~V3();
  V3( double , double , double );

  void SetV3(double,double,double);

  void SetX(double);
  void SetY(double);
  void SetZ(double);

  //set the vector with mod the and phi given. ANGLES MUST BE GIVEN IN RAD
  void SetV3_sphe(double,double,double);

  double GetX();
  double GetY();
  double GetZ();

  void Print();

  double Mod();
  //return angles in radiants
  double The();
  double Phi();

  V3 operator+(V3);
  V3 operator-(V3);
  V3 operator^(V3);
  double operator*(V3);

  //angle in radiants
  V3 Rotation(double,V3);

  V3 Scale(double);
  
 private:
  double xx;
  double yy;
  double zz;
  ClassDef(V3,1) 
};


#endif
