#include "TROOT.h"
#include "TRint.h"
#include "TTree.h"
#include "TFile.h"
#include "TRandom.h"


#include "V3.h"
#include "V4.h"

#include <iostream.h>
#include "TApplication.h"
#include "TCanvas.h"
#include "TPad.h"
#include "TLine.h"
#include "TPaveLabel.h"
#include "TBrowser.h"
#include "TGraph.h"
#include "TGraphErrors.h"
#include "TProfile.h"

 TROOT root("Root","The ROOT job");



int main(int argc, char **argv)
{

   Int_t split = 0;
   Int_t bsize = 256000;

   V3 *angela = new V3;
   TFile *f = new TFile("A.root","recreate");
   TTree *tree = new TTree("T","An example of ROOT tree");
   tree->Branch("angela","V3",&angela,bsize,split);

  fprintf(stderr,"Entering Loop\n");

   for (Int_t i=0;i<10;i++) {
      angela->SetV3(1.,2.,3.);
      angela->Print();
      tree->Fill();
   }


   tree->Print();
   tree->Write();
   f->Write();
   f->Close();



  return 0;
}







